---
title: <stop>
slug: Web/SVG/Element/stop
tags:
  - Element
  - Reference
  - SVG
  - SVG Gradient
---
<div>{{SVGRef}}</div>

<p>The SVG <strong><code>&lt;stop&gt;</code></strong> element defines a color and its position to use on a gradient. This element is always a child of a {{SVGElement("linearGradient")}} or {{SVGElement("radialGradient")}} element.</p>

<div id="Exemple">
<div class="hidden">
<pre class="brush: css">html,body,svg { height:100% }</pre>
</div>

<pre class="brush: html; highlight[5,6]">&lt;svg viewBox="0 0 10 10" xmlns="http://www.w3.org/2000/svg"
     xmlns:xlink="http://www.w3.org/1999/xlink"&gt;
  &lt;defs&gt;
    &lt;linearGradient id="myGradient" gradientTransform="rotate(90)"&gt;
      &lt;stop offset="5%"  stop-color="gold" /&gt;
      &lt;stop offset="95%" stop-color="red" /&gt;
    &lt;/linearGradient&gt;
  &lt;/defs&gt;

  &lt;!-- using my linear gradient --&gt;
  &lt;circle cx="5" cy="5" r="4" fill="url('#myGradient')" /&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample('Exemple', 150, '100%')}}</p>
</div>

<h2 id="Attributes">Attributes</h2>

<dl>
 <dt id="attr-cx">{{SVGAttr("offset")}}</dt>
 <dd>This attribute defines where the gradient stop is placed along the gradient vector.<br>
 <small><em>Value type</em>: <a href="/docs/Web/SVG/Content_type#Number"><strong>&lt;number&gt;</strong></a>|<a href="/docs/Web/SVG/Content_type#Percentage"><strong>&lt;percentage&gt;</strong></a>; <em>Default value</em>: <code>0</code>; <em>Animatable</em>: <strong>yes</strong></small></dd>
 <dt id="attr-cx">{{SVGAttr("stop-color")}}</dt>
 <dd>This attribute defines the color of the gradient stop. It can be used as a CSS property.<br>
 <small><em>Value type</em>: <code>currentcolor</code>|<a href="/docs/Web/SVG/Content_type#Color"><strong>&lt;color&gt;</strong></a>|<a href="/docs/Web/SVG/Content_type#ICCColor"><strong>&lt;icccolor&gt;</strong></a>; <em>Default value</em>: <code>black</code>; <em>Animatable</em>: <strong>yes</strong></small></dd>
 <dt id="attr-cx">{{SVGAttr("stop-opacity")}}</dt>
 <dd>This attribute defines the opacity of the gradient stop. It can be used as a CSS property.<br>
 <small><em>Value type</em>: <a href="/docs/Web/SVG/Content_type#Opacity_value"><strong>&lt;opacity&gt;</strong></a>; <em>Default value</em>: <code>1</code>; <em>Animatable</em>: <strong>yes</strong></small></dd>
</dl>

<h3 id="Global_attributes">Global attributes</h3>

<dl>
 <dt><a href="/docs/Web/SVG/Attribute/Core">Core Attributes</a></dt>
 <dd><small>Most notably: {{SVGAttr('id')}}</small></dd>
 <dt><a href="/docs/Web/SVG/Attribute/Styling">Styling Attributes</a></dt>
 <dd><small>{{SVGAttr('class')}}, {{SVGAttr('style')}}</small></dd>
 <dt>Event Attributes</dt>
 <dd><small><a href="/docs/Web/SVG/Attribute/Events#Global_Event_Attributes">Global event attributes</a>, <a href="/docs/Web/SVG/Attribute/Events#Document_Element_Event_Attributes">Document element event attributes</a></small></dd>
 <dt><a href="/docs/Web/SVG/Attribute/Presentation">Presentation Attributes</a></dt>
 <dd><small>Most notably: {{SVGAttr('color')}}, {{SVGAttr('display')}}, {{SVGAttr('stop-color')}}, {{SVGAttr('stop-opacity')}}, {{SVGAttr('visibility')}}</small></dd>
</dl>

<h2 id="Usage_notes">Usage notes</h2>

<p>{{svginfo}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('SVG2', 'pservers.html#GradientStops', '&lt;stop&gt;')}}</td>
   <td>{{Spec2('SVG2')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('SVG1.1', 'pservers.html#GradientStops', '&lt;stop&gt;')}}</td>
   <td>{{Spec2('SVG1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.stop")}}</p>
